Subject: Re: File system types
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 23 Aug 2001 12:39:30 +0200

> George  Myrddin schrieb am 2001-08-22 20:49:

>Howdy,
>
>When you download cygwin, you have a choice of files system types.  Dos or Unix.
> How does this work?  I did the download in stages, and might have switched back
>and forth.  Dumb.  I finished it out with the unix choice, but could the few
>packages that I did with the dos choice be missing?  Some important commands are
>missing, (like ls, and where...) could this be it? If so how would I fix it?

Basic difference is the default mode of the mounts which is 'binmode' for 'unix'
and 'textmode' for dos.
The whole directorytree 'x:\cygwin' is mounted to '/' so it affects all 
subdirectories.
It affects textfiles and how they are stored to disk, in textmode lineendings
are '\n\r' in binmode just '\n'.

I don't know if it is possible to mix the options.

Take a look at your '$ mount' output:
Mine is:
$ mount
c:\cygwin\usr\X11R6\include\X11 on /usr/include/X11 type system (binmode)
c:\cygwin\perl\text on /perl/text type system (textmode)
C:\cygwin\bin on /usr/bin type system (binmode)
C:\cygwin\lib on /usr/lib type system (binmode)
C:\cygwin on / type system (binmode)
\usr\docs on /usr/local/apache/htdocs/docs type system (binmode)
d:\src on /usr/src type system (binmode)
c: on /hdd/c type system (binmode)
d: on /hdd/d type system (binmode)
e: on /hdd/e type system (binmode)
f: on /cygdrive/f type user (binmode,noumount)
g: on /cygdrive/g type user (binmode,noumount)
h: on /cygdrive/h type user (binmode,noumount)
i: on /cygdrive/i type user (binmode,noumount)
j: on /cygdrive/j type user (binmode,noumount)

>thanks
>
>evan  

gph

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/